org.jetlang.web

## Interface HttpRequestHandler<T>

All Known Implementing Classes:
  HttpRequestHandler.Default

    public interface HttpRequestHandler<T>

### Nested Class Summary

Nested Classes
`static class` `HttpRequestHandler.Default<T>`

### Method Summary

All Methods Instance Methods Abstract Methods
`NioReader.State` `dispatch(SessionDispatcherFactory.SessionDispatcher<T> dispatcher, HttpRequest headers, HttpResponse response, HeaderReader<T> reader, NioWriter writer, T sessionState)`

### Method Detail

#### dispatch

    NioReader.State dispatch(SessionDispatcherFactory.SessionDispatcher<T> dispatcher,
                             HttpRequest headers,
                             HttpResponse response,
                             HeaderReader<T> reader,
                             NioWriter writer,
                             T sessionState)